-- Defines the color palette used by things which interact with dyes.

palette = {
    darkBlue = {
        shiny = color_from_rgb(1, 46, 98),
        flat = color_from_rgb(1, 42, 90),
        damp = color_from_rgb(0, 20, 43),
        saturated = color_from_rgb(0, 0, 128),
    },
    coral = {
        shiny = color_from_rgb(242, 227, 227),
        flat = color_from_rgb(229, 200, 201),
        damp = color_from_rgb(139, 66, 67),
        saturated = color_from_rgb(255, 200, 200),
    },
    blue = {
        shiny = color_from_rgb(124, 157, 190),
        flat = color_from_rgb(106, 144, 181),
        damp = color_from_rgb(45, 69, 92),
        saturated = color_from_rgb(0, 0, 255),
    },
    red = {
        shiny = color_from_rgb(167, 49, 51),
        flat = color_from_rgb(153, 45, 47),
        damp = color_from_rgb(73, 21, 22),
        saturated = color_from_rgb(255, 0, 0),
    },
    purple = {
        shiny = color_from_rgb(137, 0, 186),
        flat = color_from_rgb(126, 0, 170),
        damp = color_from_rgb(60, 0, 81),
        saturated = color_from_rgb(128, 0, 128),
    },
    magenta = {
        shiny = color_from_rgb(174, 91, 174),
        flat = color_from_rgb(162, 80, 162),
        damp = color_from_rgb(77, 38, 77),
        saturated = color_from_rgb(255, 0, 255),
    },
    lightYellow = {
        shiny = color_from_rgb(255, 251, 237),
        flat = color_from_rgb(254, 244, 206),
        damp = color_from_rgb(253, 204, 30),
        saturated = color_from_rgb(255, 255, 128),
    },
    lime = {
        shiny = color_from_rgb(89, 194, 17),
        flat = color_from_rgb(79, 182, 0),
        damp = color_from_rgb(38, 86, 1),
        saturated = color_from_rgb(128, 255, 128),
    },
    green = {
        shiny = color_from_rgb(108, 144, 72),
        flat = color_from_rgb(99, 132, 66),
        damp = color_from_rgb(47, 63, 31),
        saturated = color_from_rgb(0, 255, 0),
    },
    cyan = {
        shiny = color_from_rgb(91, 174, 174),
        flat = color_from_rgb(80, 162, 162),
        damp = color_from_rgb(38, 77, 77),
        saturated = color_from_rgb(0, 255, 255),
    },
    brown = {
        shiny = color_from_rgb(145, 72, 0),
        flat = color_from_rgb(133, 66, 0),
        damp = color_from_rgb(63, 31, 0),
        saturated = color_from_rgb(255, 128, 0),
    },
    pink = {
        shiny = color_from_rgb(216, 69, 176),
        flat = color_from_rgb(212, 49, 168),
        damp = color_from_rgb(103, 22, 81),
        saturated = color_from_rgb(255, 128, 255),
    },
    teal = {
        shiny = color_from_rgb(28, 98, 101),
        flat = color_from_rgb(25, 90, 93),
        damp = color_from_rgb(12, 43, 44),
        saturated = color_from_rgb(0, 128, 128),
    },
    darkBrown = {
        shiny = color_from_rgb(80, 32, 6),
        flat = color_from_rgb(74, 29, 6),
        damp = color_from_rgb(35, 14, 3),
        saturated = color_from_rgb(128, 64, 0),
    },
    darkYellow = {
        shiny = color_from_rgb(221, 193, 140),
        flat = color_from_rgb(215, 181, 117),
        damp = color_from_rgb(123, 93, 36),
        saturated = color_from_rgb(128, 128, 0),
    },
    darkRed = {
        shiny = color_from_rgb(133, 0, 3),
        flat = color_from_rgb(122, 0, 3),
        damp = color_from_rgb(58, 0, 1),
        saturated = color_from_rgb(128, 0, 0),
    },
    violet = {
        shiny = color_from_rgb(224, 117, 211),
        flat = color_from_rgb(219, 94, 203),
        damp = color_from_rgb(122, 27, 110),
        saturated = color_from_rgb(128, 0, 128),
    },
    yellowGreen = {
        shiny = color_from_rgb(87, 89, 29),
        flat = color_from_rgb(78, 75, 19),
        damp = color_from_rgb(37, 36, 10),
        saturated = color_from_rgb(64, 128, 0),
    },
    orange = {
        shiny = color_from_rgb(255, 238, 231),
        flat = color_from_rgb(255, 209, 191),
        damp = color_from_rgb(218, 59, 0),
        saturated = color_from_rgb(255, 165, 0),
    },
    darkPink = {
        shiny = color_from_rgb(172, 6, 162),
        flat = color_from_rgb(158, 5, 148),
        damp = color_from_rgb(75, 3, 71),
        saturated = color_from_rgb(128, 64, 128),
    },
    black = {
        shiny = color_from_rgb(45, 45, 45),
        flat = color_from_rgb(42, 42, 42),
        damp = color_from_rgb(20, 20, 20),
        saturated = color_from_rgb(0, 0, 0),
    },
    yellow = {
        shiny = color_from_rgb(209, 209, 141),
        flat = color_from_rgb(201, 201, 120),
        damp = color_from_rgb(110, 110, 44),
        saturated = color_from_rgb(255, 255, 0),
    },
    lightRed = {
        shiny = color_from_rgb(223, 173, 174),
        flat = color_from_rgb(214, 149, 150),
        damp = color_from_rgb(125, 48, 49),
        saturated = color_from_rgb(255, 128, 128),
    },
    redOrange = {
        shiny = color_from_rgb(246, 109, 72),
        flat = color_from_rgb(245, 89, 46),
        damp = color_from_rgb(133, 33, 6),
        saturated = color_from_rgb(255, 64, 0),
    },
    darkGreen = {
        shiny = color_from_rgb(53, 103, 18),
        flat = color_from_rgb(40, 90, 1),
        damp = color_from_rgb(20, 43, 2),
        saturated = color_from_rgb(0, 128, 0),
    },
    white = {
        shiny = color_from_rgb(250, 250, 250),
        flat = color_from_rgb(220, 220, 220),
        damp = color_from_rgb(180, 180, 180),
        saturated = color_from_rgb(255, 255, 255),
    },
};
